Subject: Re: [PATCH 1/2] powerpc: add Book E support to 64-bit hibernation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 18 Jun 2013 10:17:30 +1000

On Mon, 2013-06-17 at 19:01 -0500, Scott Wood wrote:
> I really doubt the exception scratch registers need to be saved --  
> we're not trying to restore into the middle of an exception  
> prolog/epilog.
> 
> book3s has the PACA as well and they don't save it.  Don't we rely on  
> things like boot-time memory allocations happening in the same place  
> when we resume?  extlb is part of the PACA, so the same applies.

I doubt we seriously tested hibernation :-) The PACA SPR should
definitely be saved/restored.

> Granted, this isn't performance critical so it may seem better to  
> save/restore just in case, but there's value in not unnecessarily  
> deviating from what book3s does.

Cheers,
Ben.